TESTING/LIN/cget01.f(3)

NAME
TESTING/LIN/cget01.f

SYNOPSIS

  Functions/Subroutines
subroutine cget01 (m, n, a, lda, afac, ldafac, ipiv, rwork, resid)
CGET01

Function/Subroutine Documentation

  subroutine cget01 (integer m, integer n, complex, dimension( lda, * ) a, integer lda, complex, dimension( ldafac, * ) afac, integer ldafac, integer, dimension( * ) ipiv, real, dimension( * ) rwork, real resid)

CGET01

Purpose:

     CGET01 reconstructs a matrix A from its L*U factorization and
     computes the residual
        norm(L*U - A) / ( N * norm(A) * EPS ),
     where EPS is the machine epsilon.

Parameters
    M

              M is INTEGER
              The number of rows of the matrix A.  M >= 0.

    N

              N is INTEGER
              The number of columns of the matrix A.  N >= 0.

    A

              A is COMPLEX array, dimension (LDA,N)
              The original M x N matrix A.

    LDA

              LDA is INTEGER
              The leading dimension of the array A.  LDA >= max(1,M).

    AFAC

              AFAC is COMPLEX array, dimension (LDAFAC,N)
              The factored form of the matrix A.  AFAC contains the factors
              L and U from the L*U factorization as computed by CGETRF.
              Overwritten with the reconstructed matrix, and then with the
              difference L*U - A.

    LDAFAC

              LDAFAC is INTEGER
              The leading dimension of the array AFAC.  LDAFAC >= max(1,M).

    IPIV

              IPIV is INTEGER array, dimension (N)
              The pivot indices from CGETRF.

    RWORK

              RWORK is REAL array, dimension (M)

    RESID

              RESID is REAL
              norm(L*U - A) / ( N * norm(A) * EPS )

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 106 of file cget01.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.